[arch-commits] Commit in python-wand/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Jul 9 15:36:45 UTC 2019


    Date: Tuesday, July 9, 2019 @ 15:36:45
  Author: felixonmars
Revision: 488057

archrelease: copy trunk to community-any

Added:
  python-wand/repos/community-any/PKGBUILD
    (from rev 488048, python-wand/trunk/PKGBUILD)
Deleted:
  python-wand/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   66 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 33 insertions(+), 33 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-07-09 15:36:44 UTC (rev 488056)
+++ PKGBUILD	2019-07-09 15:36:45 UTC (rev 488057)
@@ -1,33 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=python-wand
-pkgver=0.5.4
-pkgrel=1
-pkgdesc="Ctypes-based simple MagickWand API binding for Python"
-url="https://github.com/emcconville/wand"
-license=('MIT')
-arch=('any')
-depends=('imagemagick' 'libxml2' 'python')
-makedepends=('python-setuptools')
-checkdepends=('python-pytest-runner' 'python-pytest-xdist' 'python-memory-profiler' 'python-psutil'
-              'ghostscript' 'librsvg')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/emcconville/wand/archive/$pkgver.tar.gz")
-sha512sums=('06a1b32088041041f0bdbfacda593edebfa43cf3427ae441f58a221f0bc4d5b3565d40e5b0e92e83c1eeae48d096add9fbfb2d2653a521b2ec3a8ebcc1ad2e42')
-
-build() {
-  cd wand-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd wand-$pkgver
-  python setup.py pytest || warning "Tests failed"
-}
-
-package() {
-  cd wand-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-  rm "$pkgdir"/usr/README.rst
-}

Copied: python-wand/repos/community-any/PKGBUILD (from rev 488048, python-wand/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-07-09 15:36:45 UTC (rev 488057)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-wand
+pkgver=0.5.5
+pkgrel=1
+pkgdesc="Ctypes-based simple MagickWand API binding for Python"
+url="https://github.com/emcconville/wand"
+license=('MIT')
+arch=('any')
+depends=('imagemagick' 'libxml2' 'python')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest-runner' 'python-pytest-xdist' 'python-memory-profiler' 'python-psutil'
+              'ghostscript' 'librsvg')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/emcconville/wand/archive/$pkgver.tar.gz")
+sha512sums=('b9f51e506cd6256a9b9ec8d52c1ef5cf1428e500f5c28740c07b4188fce2f5164ca7ae23341e40ec51ee93c11afd6655a7f01d361b911984810b242e4b66324d')
+
+build() {
+  cd wand-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd wand-$pkgver
+  python setup.py pytest || warning "Tests failed"
+}
+
+package() {
+  cd wand-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  rm "$pkgdir"/usr/README.rst
+}


More information about the arch-commits mailing list